﻿(function (global) {
  System.config({
    transpiler: "plugin-babel",
    babelOptions: {
      es2015: true,
      react: true,
    },
    meta: {
      "*.css": { loader: "css" },
    },
    paths: {
      // paths serve as alias
      "npm:": "node_modules/",
    },
    // map tells the System loader where to look for things
    map: {
      css: "npm:systemjs-plugin-css/css.js",
      react: "npm:react/umd/react.production.min.js",
      "react-dom": "npm:react-dom/umd/react-dom.production.min.js",
      "@mescius/activereportsjs-react":
        "npm:@mescius/activereportsjs-react/lib/index.js",
      "@mescius/activereportsjs/reportviewer":
        "npm:@mescius/activereportsjs/dist/ar-js-viewer.js",

      "@mescius/activereportsjs/pdfexport":
        "npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
      "@mescius/activereportsjs/tabulardataexport":
        "npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",

      "@mescius/activereportsjs/htmlexport":
        "npm:@mescius/activereportsjs/dist/ar-js-html.js",

      "@mescius/activereportsjs/xlsxexport":
        "npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",

      "@mescius/activereportsjs/viewer":
        "npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
      "@mescius/activereportsjs/reportdesigner":
        "npm:@mescius/activereportsjs/dist/ar-js-designer.js",
      "@mescius/activereportsjs/core":
        "npm:@mescius/activereportsjs/dist/ar-js-core.js",
      "@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
      "@mescius/activereportsjs-i18n":
        "npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",

      "@mescius/ar-js-pagereport":
        "npm:@mescius/activereportsjs/dist/ar-js-core.js",

      "plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
      "systemjs-babel-build":
        "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
    },
    // packages tells the System loader how to load when no filename and/or no extension
    packages: {
      src: {
        defaultExtension: "jsx",
      },
      node_modules: {
        defaultExtension: "js",
      },
    },
  });
})(this);
